Questions related to compiling software, normally using the "make" command.

learn more… | top users | synonyms (2)

0
votes
0answers
17 views

Error installing Aircrack-ng

So ive been messing around trying to get Aircrack on my system, so i got the source, i extracted the tar.gz file, i started to make it until i hit a snag: ...
0
votes
0answers
88 views

Getting error while using make command

I am trying to install Sumo-0.12.3 on ubuntu 14.04. I ran the ./configure command and it ran successfully. The output of ./configure is this hadoop@ubuntu:~/Desktop/sumo-0.12.3$ ./configure checking ...
0
votes
0answers
39 views

Im trying to compile glog-0.3.3 and dont succeed (running on ubuntu 14.04)

I'm trying to install caffe, but I can't compile glog. I'm doing the following steps: sudo apt-get install virtualbox sudo apt-get install vagrant vagrant box add ubuntu-14.04 ...
0
votes
0answers
39 views

problem building X86 for gem5

development Environment ubuntu 14.04 kernel version 4.4.3 Dear gem5 and ubuntu users, After downloading gem5, I executed the following commands and everything went well: ("in /usr/src/gem5/" ...
1
vote
0answers
36 views

Is libffi.pc broken on Ubuntu?

I'm trying to cross-compile wayland (from freedesktop.org) for a Trusty Tahr armhf environment. To set up the cross-compile I have an arm pkg-config script that properly sets PKG_CONFIG_LIBDIR and ...
0
votes
0answers
69 views

Undefined reference - fftw

I have a problem with compiling my code and I get the following error: /home/maxfkira/Demo/lib/libdemo.a(TracHold.o): In function 'exitTrac::extAL()': TracHold.cpp: (.text+0x1b): undefined reference ...
0
votes
1answer
38 views

Getting precompiled software

How to get a precompiled package of any software, so I can install it directly? Because I am a beginner linux user and I am facing problems in compiling any software.
0
votes
0answers
39 views

Ubuntu 14.04 depmod throws segmentation fault

I am trying to compile Open embedded build on my Ubuntu 14.04 machine. I am trying to compile a old kernel(3.10) with Open Embedded for one of my projects and cannot move to latest kernels. Though all ...
0
votes
0answers
29 views

error with compiling a fortran code

Sorry for disturbance, but I am facing errors in compiling a Fortran code. the following lines describes the traces resulting from the command gfortran crop1.f the version I have is GNU Fortran ...
0
votes
0answers
137 views

installing opencv 3.1: make install “erased” libopencv_core.so.3.1.0

I have been struggling to have qt creator (with QT5) to work with opencv, I have eventually traced a problem back to opencv installation after make install (This question isn't about qt). My cmake ...
1
vote
1answer
88 views

Cannot find liboost-mt

I'm using the kinect to get 3D models of soil erosion and to scan vegetation and I'm trying to compile this application for the kinect: http://www.ccs.neu.edu/research/gpc/imucam/index.html ,however ...
0
votes
1answer
18 views

Is CPU instruction set version accounted for when I install pre-compiled distro?

I can have Intel Xeon E5-2620 v3 or Xeon E5-2620 v2 on my system. The difference is instruction sets these two CPUs implement. Will Ubuntu server installer detect this difference and choose correct ...
0
votes
0answers
40 views

how do I fix library mismatch error with wxWidgets

Ok so I'm trying to run this program I've installed the dependancies wxWidgets and GLUT. however everytime I try to run it I recieve this error Fatal Error: Mismatch between the program and ...
0
votes
0answers
31 views

Problem when compiling program with gtkgl

I'm trying to compile a hello world cpp file with GTK with the following g++ `pkg-config --cflags --libs gtk+-3.0 gtkgl-2.0` main.cpp -o main but I'm getting main.cpp:8:24: error: ‘GtkGLArea’ ...
0
votes
0answers
11 views

Building pMARS (requires glib 1.2) on Ubuntu 15.10

I'm trying to build pMARS on 15.10 and I can't find a way to satisfy its dependency for glib 1.2. I've tried building glib from source, but it complains that checking host system type... Invalid ...
0
votes
0answers
52 views

Still cannot compile Octave 4.0.0 with native graphics

I am on a Xubuntu 14.04 and am trying to build Octave4.0.0 from source. I've read the answers to this question, but none was successful in removing the following warnings when running ./configure for ...
0
votes
0answers
50 views

error when compiling ibus 1.5.11 on ubuntu 14.04

when I tried to compile the ibus it throwing this kind of error when using make command: make[1]: Entering directory `/home/whaX/git/thirdparty/ibus/engine' VALAC ibus_engine_simple_vala.stamp ...
0
votes
1answer
81 views

cannot find -lgsl when i trying to use arm-linux-gcc

Hallo I'm new in Ubuntu. I'm now using Lubuntu 15.04. arm-linux-gcc and gsl has been installed and I can use gcc to compile exe file with gsl. But when I trying to use arm-linux-gcc to compile exe ...
0
votes
0answers
28 views

Qt5.3.2 could not read symbols

My environment. OS :win7 32bit. VM :5.0.14. Ubuntu:12.04 LTS 64bit. cross-compiler:arm-linux-gcc 4.3.2. Qtcreator:5.3.2. I just cross compiled opencv-2.4.9 and make install . I have added ...
0
votes
0answers
39 views

openssl/ec_lcl.h not found

I'm trying to build a program that uses OpenSSL. But I get an error: fatal error: openssl/ec_lcl.h: No such file or directory And it is right. There is no such file in /usr/include or anywhere ...
1
vote
1answer
28 views

Building a GCC Cross Compiler

I'm trying to follow the Bare Bones tutorial on the OS Dev wiki but I'm confused on how to build the GCC cross compiler. It says to install the source code for stuff like bintuils, GCC, GNU GMP etc, ...
0
votes
0answers
51 views

MySQL compile error make-install

So I am attempting to compile MySQL from source for a project, Iv'e been following the steps and have already done cmake and make, created the mysql user and group, however when I attempt to make ...
0
votes
0answers
55 views

Error compiling

when I try to compile a program, I get this error. Any idea to solve it? Thanks. /usr/bin/ld: CMakeFiles/tfs.dir/src/scheduler.cpp.o: referencia sin definir al símbolo 'pthread_create@@GLIBC_2.2.5' ...
0
votes
0answers
70 views

How to install g++-4.4.7 RedHat Compiler

I am trying to install the specific g++ compiler version in my terminal on Ubuntu VM. I am using a server to compile my c++ program and I need the same compiler on Ubuntu. Calling g++ --version on the ...
0
votes
1answer
23 views

What these make messages mean while compiling sane-backends?

I tried to compile the sane-backends from source but getting the following messages after running make, to configure, I ran ./configure --enable-avahi BACKENDS='canon genesys test' make[1]: Leaving ...
0
votes
0answers
101 views

Nettle 3.2 compile error and GnuTLS can't find p11-kit

So I want to compile Nettle 3.2 on Ubuntu 14.04 LTS, ./configure shows that everything is good, but after I enter the command make get the below errors ../libhogweed.so: undefined reference to ...
0
votes
1answer
155 views

How to compile and install this?

https://github.com/thestinger/vte-ng I see a CONFIGURE, autogen.sh and a makefile but I can't seem to figure out how to install this. Can someone help explain what I need to do to install this?
1
vote
2answers
54 views

pyzmq compiling error

Executing instruction from the following portal, https://gns3.com/discussions/how-to-install-gns3-1-2-3-on-ubu but ubutu 12.04 throws error in the pyzmq stage, here the error report. ...
0
votes
0answers
34 views

Building my own computer. I want Ubuntu and maybe Windows later. What should I do?

Ok, I am building my own computer right now. I am completely new to Ubuntu, I was planning on install Ubuntu onto my new computer. I already have the liveUSB. However, I have read a lot of threads ...
0
votes
0answers
85 views

Would Apache need to be recompiled after patching glibc?

Unfortunately I'm not experienced in this realm, but I'm working on patching our Ubuntu system in light of the new glibc vulnerability. We're using a version of Apache that we compiled ourselves from ...
1
vote
1answer
185 views

error in make file : /usr/bin/ld: cannot find -lstdc++

When I'm trying to make CAMB file, I get this error: usr/bin/ld: cannot find -lstdc++ collect2: error: ld returned 1 exit status make: *** [camb] Error 1 Is a library missing?! How am I supposed to ...
0
votes
0answers
13 views

Error in installing EXPO crystllography software

I tried to compile EXPO from tar ball on Lubuntu, the ./configure command worked fine. However make install shows errors gfortran -O2 -cpp -fno-second-underscore -c -o expo-counts.otest -f ...
0
votes
0answers
106 views

How to build samba 4.3.4 from source for Ubuntu 15.10

My first 100? tries died on missing user authentication. On the official 4.1.17 I have no problems to open the shares on my windows 10. my motivation: I want to copy files with 2 Gb/sec. I already ...
0
votes
0answers
47 views

filezilla mismatch between program and library, what to do?

I just updated to 15.10 and filezilla was working, but after a while I got an error: Fatal Error: Mismatch between the program and library build versions detected. The library used 3.0 ...
1
vote
0answers
15 views

How to build -dev package in launchpad?

I am developing small library and I've created appropriate debian package configuration. You can take a look at it at https://github.com/mspanc/vspec. When I run debuild locally it properly builds ...
2
votes
0answers
232 views

Building Vulkan Chopper demo on ubuntu

How to build nvidia vulkan chopper demo on ubuntu (16.04)? https://github.com/nvpro-samples/gl_vk_chopper After being able to build, I get segfault. Can someone make instruction how to build? (i ...
0
votes
1answer
234 views

How do I install and setup the environment for using PortAudio?

I am quite new to Ubuntu and I find it hard to install programs/libraries. How do I install and build PortAudio in Ubuntu using the terminal?
0
votes
1answer
289 views

How to install cmake,ccmake from source?

I followed the first answer to this question. sudo apt-get install build-essential wget http://www.cmake.org/files/v3.2/cmake-3.5.0-rc2.tar.gz tar xf cmake-3.5.0-rc2.tar.gz cd cmake-3.5.0-rc2 ...
0
votes
0answers
54 views

Error compiling Q-Rap on Ubuntu 14.04

I'm trying to compile Q-Rap (http://www.qrap.org.za/) on Linux Ubuntu and I'm keep getting a flood of errors like this: $ make qrapplugin [ 1%] Building CXX object CMakeFiles/qrapplugin.dir/qrap.o ...
0
votes
0answers
9 views

Cannot find files selectbits.h, timebits.h and socketbits.h - Ubuntu wily 15.04

I recently installed nachos-3.4 on Ubuntu 15.04 (wily distribution) and was trying to compile the source code. Since the full source code gave a number of errors I built it using one subdirectory at ...
2
votes
1answer
712 views

CMake OpenCV installation issue

This is driving me nuts for the past three hours. I simply want to install CMake and then install OpenCV 3.1, but I am getting an Unsupported protocol error (please see below). I installed CMake ...
0
votes
1answer
99 views

Compiling R - configure: error: cannot run C compiled programs while installing R-3.0.0

Compiling R root@rani:/media/626CAD/androidnetbeans/R-3.0.0# sudo bash ./configure checking build system type... i686-pc-linux-gnu checking host system type... i686-pc-linux-gnu loading site script ...
3
votes
1answer
199 views

Undefined references compiling clang tutorial on 14.04.2

I tried to compile the code from clang's libtooling tutorial (section "Put it together"). Compiling works: g++ `llvm-config-3.5 --cxxflags` -fno-rtti -c test.cpp -o test.o I got undefined ...
0
votes
0answers
99 views

error: 'xxx' directory does not exist

I'm trying to compile a file by using the Allwmake command. but i got this error in my terminal : mohsen@mohsen-MS-7599:~$ ...
0
votes
1answer
128 views

OpenCV is not installing

I have recently installing OpenCV 3.0.0 with the help of script "install-opencv.sh" I have used command $ sudo bash install-opencv.sh error are below wget: unable to resolve host address ...
0
votes
0answers
37 views

Cannot Compile Mono Develop

I am trying to ensure that my open source c# library Tweetinvi (https://github.com/linvi/tweetinvi) works on linux and mono. I have not used linux for 5 years now and I feel a bit lost as to how to ...
2
votes
3answers
396 views

Compiling Mame 0.170 on Ubuntu 15.10

when trying to compile mame 0.170 I get the following error: m1xalis@m1xalis-HP-Compaq-6830s:~$ cd .mame m1xalis@m1xalis-HP-Compaq-6830s:~/.mame$ make GCC 5.2.1 detected Compiling ...
3
votes
1answer
28 views

Security risks with fakeroot?

Is there a security risk having fakeroot installed on my system? I can't find much more than was is provided in the manpage.
1
vote
0answers
22 views

dkms.conf location for new build RocketRaid documentation

Noob at work here. I have Ubuntu Server 14.04.03 LTS installed and running. I added a Highpoint RocketRaid 640L internal SATA adapter. I installed 4 drives and have them configured in RAID 5 via the ...
0
votes
0answers
55 views

/usr/bin/ld: cannot find -lrw_lua_s

So.. I am trying to compile a library, but running make has become troublesome, as I run into this error.. I think the library it is trying to use is located in that same directory I run make from as ...